<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/in-app-purchase-localizations",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "In-App Purchase Localizations"
}
-->

# In-App Purchase Localizations

Create, modify, and delete localized metadata for in-app purchase versions.

## Topics

### Endpoints

[`GET /v1/inAppPurchaseVersions/{id}/localizations`](/documentation/AppStoreConnectAPI/GET-v1-inAppPurchaseVersions-_id_-localizations)

List the localized display names and descriptions captured in a draft version of an in-app purchase.

[`POST /v2/inAppPurchaseLocalizations`](/documentation/AppStoreConnectAPI/POST-v2-inAppPurchaseLocalizations)

Create a localized display name and description for an in-app purchase configured with the v2 API.

[`GET /v2/inAppPurchaseLocalizations/{id}`](/documentation/AppStoreConnectAPI/GET-v2-inAppPurchaseLocalizations-_id_)

Get the display name and description for a specific locale of an in-app purchase configured with the v2 API.

[`PATCH /v2/inAppPurchaseLocalizations/{id}`](/documentation/AppStoreConnectAPI/PATCH-v2-inAppPurchaseLocalizations-_id_)

Update the display name and description for a specific locale of an in-app purchase configured with the v2 API.

[`DELETE /v2/inAppPurchaseLocalizations/{id}`](/documentation/AppStoreConnectAPI/DELETE-v2-inAppPurchaseLocalizations-_id_)

Delete a localized display name and description for an in-app purchase configured with the v2 API.

### Objects

[`InAppPurchaseLocalizationV2`](/documentation/AppStoreConnectAPI/InAppPurchaseLocalizationV2)

The localized display name and description for an in-app purchase configured with the v2 API, shown to customers in a specific language.

[`InAppPurchaseLocalizationV2CreateRequest`](/documentation/AppStoreConnectAPI/InAppPurchaseLocalizationV2CreateRequest)

The request body you use to create an in-app purchase localization with the v2 API.

[`InAppPurchaseLocalizationV2Response`](/documentation/AppStoreConnectAPI/InAppPurchaseLocalizationV2Response)

The response body for endpoints that create, read, or modify an in-app purchase localization with the v2 API.

[`InAppPurchaseLocalizationV2UpdateRequest`](/documentation/AppStoreConnectAPI/InAppPurchaseLocalizationV2UpdateRequest)

The request body you use to update an in-app purchase localization with the v2 API.

[`InAppPurchaseLocalizationsV2Response`](/documentation/AppStoreConnectAPI/InAppPurchaseLocalizationsV2Response)

The response body for endpoints that list in-app purchase localizations configured with the v2 API.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)